Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Leverage npm scripts instead of requiring gulp to be installed globally. #280

Merged
merged 1 commit into from Nov 11, 2018

Conversation

@skrivle
Copy link

@skrivle skrivle commented Oct 3, 2018

Hi there! I was checking out Bedrock and it struck me that having gulp installed globally is required to get it to work. This PR removes that dependency and might make a little bit easier for people to get going with Bedrock. I've tested this locally on node 8.3 and it works, but maybe give it another spin to be sure! Feel free to decline if there's another reason for having gulp installed globally.

Cheers!

Jelle

@Wolfr
Copy link
Contributor

@Wolfr Wolfr commented Oct 3, 2018

There is no reason, it was coded that way initially, and Gulp was new at the time. We did not know any better :). This is cool I will check out the work.

@Wolfr
Copy link
Contributor

@Wolfr Wolfr commented Oct 3, 2018

For my reference, uninstall gulp globally:

npm uninstall -g gulp

@Wolfr
Copy link
Contributor

@Wolfr Wolfr commented Oct 8, 2018

I tested it, seems to work.

I am going to wait for a better moment to merge it into master but this is great, thanks!

@Wolfr Wolfr merged commit 7079245 into usebedrock:master Nov 11, 2018
@Wolfr
Copy link
Contributor

@Wolfr Wolfr commented Nov 11, 2018

I merged this to master, thanks for your contribution!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants